Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.search
Class SearchableRepositorySource.SynchronousConnection

    java.lang.Object
      org.modeshape.graph.search.SearchableRepositorySource.AbstractConnection
          org.modeshape.graph.search.SearchableRepositorySource.SynchronousConnection

All Implemented Interfaces:
  RepositoryConnection

Enclosing class:
  SearchableRepositorySource

    @NotThreadSafe
    protected class SearchableRepositorySource.SynchronousConnection

extends SearchableRepositorySource.AbstractConnection

A `RepositoryConnection` implementation that calls the delegate processor in the calling thread.

Constructor Summary
`protected` | `SearchableRepositorySource.SynchronousConnection()`

Method Summary
`void` | `execute(ExecutionContext context, Request request)` Execute the supplied commands against this repository source.

Methods inherited from class org.modeshape.graph.search.SearchableRepositorySource.AbstractConnection
`close, delegateConnection, getDefaultCachePolicy, getSourceName, getXAResource, ping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchableRepositorySource.SynchronousConnection

    protected SearchableRepositorySource.SynchronousConnection()

Method Detail

### execute

    public void execute(ExecutionContext context,
                        Request request)
                 throws RepositorySourceException

  Execute the supplied commands against this repository source.

  Parameters:
    `context` - the environment in which the commands are being executed; never null
    `request` - the request to be executed; never null
  Throws:
    `RepositorySourceException` - if there is a problem loading the node data
  See Also:
    `RepositoryConnection.execute(org.modeshape.graph.ExecutionContext, org.modeshape.graph.request.Request)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.